View Issue Details

IDProjectCategoryView StatusLast Update
0001736SOGoOpenChange backendpublic2012-12-03 13:06
ReporterjrabyAssigned Towsourdeau 
PriorityhighSeveritymajorReproducibilityhave not tried
Status resolvedResolutionfixed 
Fixed in Version2.0.3 
Summary0001736: cal: Free/busy error when trying to create an event in a shared calendar
Description

To reproduce:

  • In SOGo, give userB "modify", "create" and "delete" rights on userA's calendar.
  • In OL, when logged in as userB, open userA's calendar (open calendar -> from addressbook -> "userA")
  • Try to create a new event in the shared calendar. It fails with a free/busy error.

I've attached 3 logs from this operation.

TagsNo tags attached.

Relationships

related to 0001808 resolvedwsourdeau cal: error when deleting an event from a shared calendar - event successfully deleted 

Activities

2012-03-26 13:26

 

samba.log-freebusy-fail (62,373 bytes)

2012-03-26 13:26

 

samba.log-freebusy-fail2 (356,859 bytes)

2012-03-26 13:26

 

samba.log-freebusy-fail3 (59,350 bytes)
ludovic

ludovic

2012-08-16 15:00

administrator   ~0004345

In discussions with Microsoft for this one.

ludovic

ludovic

2012-09-05 10:58

administrator   ~0004434

When we try to move an event from a shared calendar, it fails with the error message from Outlook specified in 0001808.

Once that has happened, we see numerous sync failure error messages in the Outlook's Sync Issues folder.

If we go back to the calendar view, the event has disappeared from the view.

wsourdeau

wsourdeau

2012-11-09 15:59

viewer   ~0004819

Fixed in https://github.com/inverse-inc/openchange/commit/e7d1b3eefaac2d8f89ed3c9617b0b578ce40dc64 and https://github.com/inverse-inc/sogo/commit/3b0a497f2d715a470c2041065b09ab5425c1565f

ludovic

ludovic

2012-12-03 13:06

administrator   ~0005020

See the associated subsequent fix in OpenChange to avoid crashes when new Outlook profiles are provisioned:

http://tracker.openchange.org/projects/openchange/repository/revisions/a986530d67598d6a48de1db15023305403d1a762/diff/exchange.idl

Issue History

Date Modified Username Field Change
2012-03-26 13:26 jraby New Issue
2012-03-26 13:26 jraby File Added: samba.log-freebusy-fail
2012-03-26 13:26 jraby File Added: samba.log-freebusy-fail2
2012-03-26 13:26 jraby File Added: samba.log-freebusy-fail3
2012-05-16 16:11 jraby Relationship added related to 0001808
2012-07-25 16:08 ludovic Target Version => 2.0
2012-08-16 15:00 ludovic Note Added: 0004345
2012-08-16 15:00 ludovic Priority normal => high
2012-08-16 15:00 ludovic Severity minor => major
2012-08-16 19:57 wsourdeau Status new => feedback
2012-08-17 14:34 wsourdeau Status feedback => assigned
2012-08-17 14:34 wsourdeau Assigned To => wsourdeau
2012-08-17 14:34 wsourdeau Assigned To wsourdeau => jraby
2012-08-20 09:49 wsourdeau Assigned To jraby => wsourdeau
2012-09-05 10:58 ludovic Note Added: 0004434
2012-09-14 14:28 wsourdeau Target Version 2.0.0 => 2.0.1
2012-10-03 11:09 wsourdeau Project SOGo Native Outlook Compatibility (obsolete) => SOGo
2012-10-03 11:12 wsourdeau Category => OpenChange backend
2012-10-03 11:17 wsourdeau Target Version 2.0.1 =>
2012-11-09 15:59 wsourdeau Note Added: 0004819
2012-11-09 15:59 wsourdeau Status assigned => resolved
2012-11-09 15:59 wsourdeau Fixed in Version => 2.0.3
2012-11-09 15:59 wsourdeau Resolution open => fixed
2012-12-03 13:06 ludovic Note Added: 0005020